@import "style.css";

.atuacao {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 30px 80px;
}

.atuacao .atuacao__grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-auto-rows: auto;
    gap: 1rem;
    grid-auto-flow: dense;
}

.atuacao__group {
    padding: 1rem 1.5rem;
    cursor: pointer;
    background-color: var(--dark-blue);
    transition: background-color .3s;
}

.atuacao__group:hover {
    background-color: var(--white);
    color: var(--dark-blue);
}

.atuacao__group:hover a, .atuacao__group:hover a h5, .atuacao__group:hover a p {
    color: var(--dark-blue);
}

.atuacao__group a {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 8px;
    position: relative;
}

.atuacao__group a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -5px;
    width: 100px;
    height: 1px;
    background-color: var(--white);
}

.atuacao__group:hover a::after {
    background-color: var(--dark-blue);
}

.atuacao__group h5 {
    font-size: var(--font-lg);
    text-transform: uppercase;
    color: var(--white);
}

.atuacao__group p {
    font-size: var(--font-normal);
    font-weight: 300;
    padding-left: 20px;
    text-align: justify;
    color: var(--white);
}

/* MODAL */
.modal-header {
    background-color: var(--dark-blue);
}

#modalTitle {
    text-transform: uppercase;
    color: var(--white);
}

#modalBody {
    font-size: var(--font-normal);
}

.modal-content {
    width: 80vw;
}

.btn__close {
    padding: 0.5rem 2rem;
    border: none;
    background-color: var(--dark-blue);
    color: var(--white);
    border-radius: 25px;
}

@media (max-width: 1024px) {
    .atuacao div {
        gap: 10px;
    }
    .atuacao__group {
        padding: 15px 15px;
    }
}

@media (max-width: 768px) {
    .atuacao {
        padding: 30px 30px;
    }
    .atuacao__group a::after {
        bottom: -8px;
    }
}

@media (max-width: 600px) {
    .atuacao .atuacao__grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .modal-content {
        width: 100%;
    }
}

@media (max-width: 425px) {
    .atuacao .atuacao__grid {
        grid-template-columns: repeat(1, 1fr);
    }
    .atuacao {
        padding: 10px 10px;
    }
    .atuacao div {
        flex-direction: column;
    }
}
